/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.converters;

import org.rblasch.convert.Converter;
import org.rblasch.convert.MetaConverter;

/**
 * @author Ronald Blaschke
 */
public abstract class AbstractConverter implements MetaConverter, Converter {
    public final Converter getConverter() {
        return this;
    }
    
    public final String toString() {
        return getSourceType() + " -> " + getDestinationType();
    }

    public boolean equals(final Object o) {
        if (this == o) return true;
        if (!(o instanceof AbstractConverter)) return false;

        final AbstractConverter abstractConverter = (AbstractConverter) o;

        if (!getDestinationType().equals(abstractConverter.getDestinationType())) return false;
        if (!getSourceType().equals(abstractConverter.getSourceType())) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = getSourceType().hashCode();
        result = 29 * result + getDestinationType().hashCode();
        return result;
    }
}
