/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.converters;

import org.rblasch.convert.type.Type;
import org.rblasch.convert.MetaConverter;
import org.rblasch.convert.Converter;

/**
 * @author Ronald Blaschke
 */
public class StandardMetaConverter implements MetaConverter {
    private final Type sourceType, destinationType;
    private final Converter converter;
    private final int weight;

    public StandardMetaConverter(final Type sourceType, final Type destinationType, final Converter converter, final int weight) {
        this.sourceType = sourceType;
        this.destinationType = destinationType;
        this.converter = converter;
        this.weight = weight;
    }

    public Type getSourceType() {
        return sourceType;
    }

    public Type getDestinationType() {
        return destinationType;
    }

    public int getWeight() {
        return weight;
    }

    public Converter getConverter() {
        return converter;
    }
}
