/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.graph;

import java.util.Set;

public interface Graph {
    Set /* of Vertex */ getVertices();

    Set /* of Edge */ getEdges();

    /**
     * Get the set of vertices that can be reached from the given vertex.
     */
    Set /* of Vertex */ getOutbound(Vertex vertex);

    /**
     * Get the list of vertices that lead to the given vertex.
     */
    Set /* of Vertex */ getInbound(Vertex vertex);

    /**
     * Ener a new vertex in the graph.
     * 
     * @param v vertex
     */
    void addVertex(Vertex v);

    /**
     * Enter a new segment in the graph.
     */
    void addConnection(Vertex start, Edge edge, Vertex end);

    Set/*<Connection>*/ getAllConnections();

    Set /* of Connection */ getConnections(Vertex start, Vertex end);
}
