/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.graph;

import java.util.Iterator;

/**
 * @author Ronald Blaschke
 */
public class Graphs {
    public static void mergeInto(final Graph graph, final Graph g) {
        for (final Iterator i = g.getAllConnections().iterator(); i.hasNext();) {
            final Connection c = (Connection) i.next();
            graph.addConnection(c.getStart(), c.getEdge(), c.getEnd());
        }
        for (final Iterator i = g.getVertices().iterator(); i.hasNext();) {
            final Vertex v = (Vertex) i.next();
            graph.addVertex(v);
        }
    }
}
