/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.type;

/**
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: Oct 27, 2004
 * Time: 10:25:46 PM
 * To change this template use File | Settings | File Templates.
 */
abstract class AbstractType implements Type {
    public boolean equals(final Object obj) {
        if (this == obj) return true;
        if (!(obj instanceof Type)) return false;

        final Type t = (Type)obj;
        return getName().equals(t.getName());
    }

    public int hashCode() {
        return getName().hashCode();
    }

    public String toString() {
        return getName();
    }
}
