/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.type;

/**
 * @author Ronald Blaschke
 */
public class ClassType extends AbstractType {
    static ClassType valueOf(final String s) throws UnknownTypeException {
        try {
            return new ClassType(Class.forName(s));
        } catch (final ClassNotFoundException ex) {
            throw new UnknownTypeException(ex);
        }
    }

    private final Class t;

    ClassType(final Class t) {
        this.t = t;
    }

    public String getName() {
        return t.getName();
    }

    public Class getTheClass() {
        return t;
    }
}
