/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.type;

/**
 * @author Ronald Blaschke
 */
public interface Type {
    /**
     * Returns the name.
     *
     * @return Name
     */
    String getName();

    /**
     * Returns whether this types is equal to the given types.
     *
     * @param obj Other types
     * @return <code>true</code> if this object is the same as the obj argument; <code>false</code> otherwise.
     */
    boolean equals(Object obj);
}
