/*
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: 08.02.2004
 * Time: 18:28:23
 */
package org.apache.commons.convert;

import java.util.Iterator;

public abstract class AbstractConverterRegistry implements ConverterRegistry {
    public Converter lookup(final Class sourceType, final Class destinationType) throws NoSuchConversionException {
        for (final Iterator i = iterator(); i.hasNext();) {
            final Converter c = (Converter) i.next();
            if (sourceType.equals(c.getSourceClass()) && c.getDestinationClass().equals(destinationType)) {
                return c;
            }
        }
        throw new NoSuchConversionException("No conversion from " + sourceType + " to " + destinationType);
    }
}
