package org.apache.commons.convert;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public final class MutableConverterRegistry extends AbstractConverterRegistry {
    private final List /* of Converter */ converters = new LinkedList();

    public MutableConverterRegistry() {
    }

    public void add(final Converter converter) {
        converters.add(converter);
    }

    public void addAll(final ConverterRegistry registry) {
        for (final Iterator i = registry.iterator(); i.hasNext();) {
            converters.add(i.next());
        }
    }

    public void remove(final Converter converter) {
        converters.remove(converter);
    }

    public Iterator iterator() {
        return converters.iterator();
    }
}
