package org.apache.commons.convert.converters;

import org.apache.commons.convert.ConversionFailedException;
import org.apache.commons.convert.NoSuchConversionException;

import java.util.ArrayList;
import java.util.Arrays;

public final class ArrayToArrayListConverter extends AbstractConverter {
    public Class getSourceClass() { return Object[].class; }
    public Class getDestinationClass() { return ArrayList.class; }

    public Object convert(final Object value) throws NoSuchConversionException, ConversionFailedException {
        return Arrays.asList((Object[]) value);
    }
}
