package org.apache.commons.convert.converters;

import org.apache.commons.convert.ConversionFailedException;
import org.apache.commons.convert.NoSuchConversionException;

public final class ByteToBooleanConverter extends AbstractConverter {
    public Class getSourceClass() { return Byte.class; }
    public Class getDestinationClass() { return Boolean.class; }

    public Object convert(final Object value) throws NoSuchConversionException, ConversionFailedException {
        if (((Byte) value).byteValue() == 0) {
            return Boolean.FALSE;
        } else {
            return Boolean.TRUE;
        }
    }
}
