package org.apache.commons.convert.converters;

import org.apache.commons.convert.ConversionFailedException;
import org.apache.commons.convert.NoSuchConversionException;

public final class IntegerToByteConverter extends AbstractConverter {
    public Class getSourceClass() { return Integer.class; }
    public Class getDestinationClass() { return Byte.class; }

    public Object convert(final Object value) throws NoSuchConversionException, ConversionFailedException {
        final Integer in = (Integer) value;

        if (in.intValue() < Byte.MIN_VALUE || in.intValue() > Byte.MAX_VALUE) {
            throw new ConversionFailedException("Input is out of range ["
                    + Byte.MIN_VALUE + ";" + Byte.MAX_VALUE + "]: " + in);
        }

        return new Byte(in.byteValue());
    }
}
