package org.apache.commons.convert.converters;

import org.apache.commons.convert.ConversionFailedException;
import org.apache.commons.convert.NoSuchConversionException;

public final class StringToIntegerConverter extends AbstractConverter {
    public Class getSourceClass() { return String.class; }
    public Class getDestinationClass() { return Integer.class; }

    public Object convert(final Object value) throws NoSuchConversionException, ConversionFailedException {
        try {
            return Integer.valueOf((String) value);
        } catch (final NumberFormatException ex) {
            throw new ConversionFailedException("Conversion via Integer.valueOf failed", ex);
        }
    }
}
