/*
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: 08.02.2004
 * Time: 18:28:23
 */
package org.apache.commons.convert.extended;

import org.apache.commons.convert.NoSuchConversionException;

import java.util.Iterator;

public abstract class AbstractExtendedConverterRegistry implements ExtendedConverterRegistry {
    public ExtendedConverter lookup(final Type sourceType, final Type destinationType) throws NoSuchConversionException {
        for (final Iterator i = iterator(); i.hasNext();) {
            final ExtendedConverter c = (ExtendedConverter) i.next();
            if (sourceType.equals(c.getSourceType()) && c.getDestinationType().equals(destinationType)) {
                return c;
            }
        }
        throw new NoSuchConversionException("No conversion from " + sourceType + " to " + destinationType);
    }
}
