package org.apache.commons.convert.extended;

import org.rblasch.convert.graph.WeightedDirectedEdge;

public final class ConverterEdge implements WeightedDirectedEdge {
    private final ExtendedConverter converter;
    private final int weight;

    public ConverterEdge(final ExtendedConverter converter, final int weight) {
        this.converter = converter;
        this.weight = weight;
    }

    public ExtendedConverter getConverter() {
        return converter;
    }

    public int getWeight() {
        return weight;
    }

    public String toString() {
        return "-(" + weight + ")->";
    }


    // generated
    public boolean equals(final Object o) {
        if (this == o) return true;
        if (!(o instanceof ConverterEdge)) return false;

        final ConverterEdge converterEdge = (ConverterEdge) o;

        if (weight != converterEdge.weight) return false;
        if (!converter.equals(converterEdge.converter)) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = converter.hashCode();
        result = 29 * result + weight;
        return result;
    }
}
