package org.apache.commons.convert.extended;


public final class ImmutableConversionContext implements ConversionContext {
    private final Type type;
    private final Object value;

    public ImmutableConversionContext(final Type type, final Object value) {
        this.type = type;
        this.value = value;
    }

    public Type getType() {
        return type;
    }

    public Object getValue() {
        return value;
    }

    public ConversionContext update(final Type type, final Object value) {
        return new ImmutableConversionContext(type, value);
    }
}
