package org.apache.commons.convert.extended;

import org.apache.commons.convert.Converter;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public final class MutableExtendedConverterRegistry extends AbstractExtendedConverterRegistry {
    private final List /* of ExtendedConverter */ converters = new LinkedList();

    public MutableExtendedConverterRegistry() {
    }

    public void add(final Converter converter) {
        converters.add(new ConverterAdapter(converter));
    }

    public void add(final ExtendedConverter converter) {
        converters.add(converter);
    }

    public void addAll(final ExtendedConverterRegistry registry) {
        for (final Iterator i = registry.iterator(); i.hasNext();) {
            converters.add(i.next());
        }
    }

    public void remove(final Converter converter) {
        converters.remove(new ConverterAdapter(converter));

    }

    public void remove(final ExtendedConverter converter) {
        converters.remove(converter);
    }

    public Iterator iterator() {
        return converters.iterator();
    }
}
