package org.apache.commons.convert.extended;

public interface Type {
    /**
     * Returns the name.
     *
     * @return Name
     */
    String getName();

    /**
     * Returns all converters for this types to known (language) related types.
     * <p/>
     * <p>This includes inheritance and parameterized types.</p>
     *
     * @return Converters to (language) related types
     */
    ExtendedConverterRegistry getConverters();

    /**
     * Returns whether this types is equal to the given types.
     *
     * @param obj Other types
     * @return <code>true</code> if this object is the same as the obj argument; <code>false</code> otherwise.
     */
    boolean equals(Object obj);
}
