/*
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: 28.01.2004
 * Time: 20:18:57
 */
package org.apache.commons.convert.extended.types;

import org.apache.commons.convert.extended.ClassExtendedConverterRegistry;
import org.apache.commons.convert.extended.ExtendedConverterRegistry;
import org.apache.commons.convert.extended.Type;

import java.util.Iterator;
import java.util.List;

public final class ClassType implements Type {
    private final String name;
    private final List /* of Type */ parameters;
    private final Class clazz;

    public ClassType(final String name, final List /* of Type */ parameters, final Class clazz) {
        this.name = name;
        this.parameters = parameters;
        this.clazz = clazz;
    }

    public String getName() {
        return name;
    }

    public ExtendedConverterRegistry getConverters() {
        return new ClassExtendedConverterRegistry(clazz);
    }

    public String toString() {
        final StringBuffer buffy = new StringBuffer();
        buffy.append(name);

        if (!parameters.isEmpty()) {
            buffy.append('<');
            for (final Iterator i = parameters.iterator(); i.hasNext();) {
                buffy.append(i.next());
                if (i.hasNext()) {
                    buffy.append(", ");
                }
            }
            buffy.append('>');
        }

        return buffy.toString();
    }


    // generated
    public boolean equals(final Object o) {
        if (this == o) return true;
        if (!(o instanceof ClassType)) return false;

        final ClassType tType = (ClassType) o;

        if (!name.equals(tType.name)) return false;
        if (!parameters.equals(tType.parameters)) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = name.hashCode();
        result = 29 * result + parameters.hashCode();
        return result;
    }
    /*
    public boolean equals(final Object o) {
        if (this == o) return true;
        if (!(o instanceof ClassType)) return false;

        final ClassType tType = (ClassType) o;

        if (!name.equals(tType.name)) return false;

        final int length = Math.min(parameters.size(), tType.parameters.size());
        if (!parameters.subList(0, length).equals(tType.parameters.subList(0, length))) return false;

        return true;
    }

    public int hashCode() {
        int result;
        result = name.hashCode();
        // don't use parameters for hashing, as equals only compares known parameters
        //result = 29 * result + parameters.hashCode();
        return result;
    }
    */
}
