package org.apache.commons.convert.converters;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import org.apache.commons.convert.ConversionFailedException;

public final class IntegerToByteConverterTest extends TestCase {
    public static void main(final String[] argv) {
        junit.textui.TestRunner.run(suite());
    }

    public static Test suite() {
        final TestSuite suite = new TestSuite();
        suite.addTestSuite(IntegerToByteConverterTest.class);
        return suite;
    }

    public IntegerToByteConverterTest(final String name) {
        super(name);
    }

    public void testConvertNull() throws Exception {
        try {
            new IntegerToByteConverter().convert(null);
            fail("Should throw NullPointerException");
        } catch (final NullPointerException ex) {
            assertTrue("Expected", true);
        }
    }

    public void testConvert0() throws Exception {
        final Byte b = (Byte) new IntegerToByteConverter().convert(new Integer(0));
        assertEquals(0, b.byteValue());
    }

    public void testConvertMinus129() throws Exception {
        try {
            new IntegerToByteConverter().convert(new Integer(-129));
            fail("Convert should have thrown ConversionFailedException");
        } catch (final ConversionFailedException ex) {
            assertTrue(true);
        }
    }

    public void testConvert128() throws Exception {
        try {
            new IntegerToByteConverter().convert(new Integer(128));
            fail("Convert should have thrown ConversionFailedException");
        } catch (final ConversionFailedException ex) {
            assertTrue(true);
        }
    }
}
