/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert;

import junit.framework.TestCase;
import org.rblasch.convert.graph.Graph;
import org.rblasch.convert.graph.SparseWeightedDirectedGraph;
import org.rblasch.convert.type.Type;
import org.rblasch.convert.type.Types;

/**
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: Oct 27, 2004
 * Time: 11:39:31 PM
 * To change this template use File | Settings | File Templates.
 */
public class GraphTest extends TestCase {
    public void testSimple() {
        final Graph g = new SparseWeightedDirectedGraph();
        g.addConnection(
                new TypeVertex(Types.findTypeByClass(Object.class)),
                new ConverterEdge(new MetaConverter() {
                    public Type getSourceType() {
                        return Types.findTypeByClass(Object.class);
                    }

                    public Type getDestinationType() {
                        return Types.findTypeByClass(String.class);
                    }

                    public int getWeight() {
                        return 10;
                    }

                    public Converter getConverter() {
                        return new Converter() {
                            public Object convert(Object obj) throws Exception {
                                return obj.toString();
                            }
                        };
                    }
                }, 1),
                new TypeVertex(Types.findTypeByClass(String.class)));
    }
}
