/*
 * Copyright 2004 Ronald Blaschke.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.rblasch.convert.converters;

import junit.framework.TestCase;

import java.util.Set;

public class ObjectToMetaConvertersConverterTest extends TestCase {
    public void testSimple() throws Exception {
        final ObjectToMetaConvertersConverter c = new ObjectToMetaConvertersConverter(100);
        final Set/*<MetaConverter>*/ converters = (Set) c.convert(new TestConverter());
        assertEquals(2, converters.size());
        //XXX test the actual converters
    }

    private static class TestConverter {
        public String convert(final Integer i) {
            return i.toString();
        }

        public int convert2(final byte b) {
            return b;
        }

        public Object notFound1() {
            return null;
        }

        public void notFound2(final Object o) {
        }

        public Object notFound3(final Object o1, final Object o2) {
            return null;
        }
    }
}
