package org.rblasch.convert.type;

import junit.framework.TestCase;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

/**
 * Created by IntelliJ IDEA.
 * User: rb
 * Date: Oct 27, 2004
 * Time: 10:47:38 PM
 * To change this template use File | Settings | File Templates.
 */
public class ParameterizableTypeTest extends TestCase {
    private class A {}

    private class B {}

    public void testGetName() throws Exception {
        final ParameterizableType t = new ParameterizableType(new ClassType(ArrayList.class),
                Arrays.asList(new Type[]{new ClassType(Integer.class)}));
        assertEquals("java.util.ArrayList<java.lang.Integer>", t.getName());

        final ParameterizableType t2 = new ParameterizableType(new ClassType(ArrayList.class),
                Arrays.asList(new Type[]{new ClassType(Integer.class), new ClassType(String.class)}));
        assertEquals("java.util.ArrayList<java.lang.Integer,java.lang.String>", t2.getName());
    }

    public void testValueOf() throws Exception {
        final String typeName = A.class.getName() + "<" + B.class.getName() +">";
        final ParameterizableType pt = ParameterizableType.valueOf(typeName);
        assertEquals(typeName, pt.getName());
        assertEquals(new ClassType(A.class), pt.getType());
        assertEquals(Collections.singletonList(new ClassType(B.class)), pt.getParameters());
    }
}
