package org.rblasch.convert.type;

import junit.framework.TestCase;

import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

/**
 * @author Ronald Blaschke
 */
public class PrimitiveTypeTest extends TestCase {
    public void testInitializer() {
        new PrimitiveType(Integer.TYPE);
    }

    public void testGetName() {
        assertEquals("byte", new PrimitiveType(Byte.TYPE).getName());
        assertEquals("short", new PrimitiveType(Short.TYPE).getName());
        assertEquals("int", new PrimitiveType(Integer.TYPE).getName());
        assertEquals("long", new PrimitiveType(Long.TYPE).getName());
        assertEquals("float", new PrimitiveType(Float.TYPE).getName());
        assertEquals("double", new PrimitiveType(Double.TYPE).getName());
    }

    public void testValueOf() throws Exception {
        final List/*<String>*/ primitives = Arrays.asList(new String[]{
            "byte", "short", "int", "long", "float", "double"
        });

        for (final Iterator i = primitives.iterator(); i.hasNext();) {
            final String s = (String) i.next();
            assertEquals(s, PrimitiveType.valueOf(s).getName());
        }
    }
}
