package org.rblasch.convert.type;

import junit.framework.TestCase;

/**
 * @author Ronald Blaschke
 */
public class TypesTest extends TestCase {
    private class A {}

    public void testFindTypeByNameClass() throws Exception {
        assertEquals("int", Types.findTypeByClass(Integer.TYPE).getName());
        assertEquals("java.lang.Integer", Types.findTypeByClass(Integer.class).getName());
        assertEquals("array<int>", Types.findTypeByClass(int[].class).getName());
        assertEquals("array<java.lang.Integer>", Types.findTypeByClass(Integer[].class).getName());
        assertEquals("array<array<java.lang.Integer>>", Types.findTypeByClass(Integer[][].class).getName());
    }

    public void testFindTypeByNameString() throws Exception {
        assertEquals("int", Types.findTypeByName("int").getName());
        assertEquals(A.class.getName(), Types.findTypeByName(A.class.getName()).getName());
        assertEquals("array<int>", Types.findTypeByName("int[]").getName());
        assertEquals("array<" + A.class.getName() + ">", Types.findTypeByName(A.class.getName()+"[]").getName());
    }
}
